Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

agentId
string
required

ID of the agent that owns the task

Pattern: ^[cC][^\s-]{8,}$
taskId
string
required

ID of the task to retrieve

Pattern: ^[cC][^\s-]{8,}$

Response

200 - application/json

OK

Full A2A task representation

id
string
required

Unique task identifier

Pattern: ^[cC][^\s-]{8,}$
agentId
string
required

ID of the receiving agent

Pattern: ^[cC][^\s-]{8,}$
orgId
string
required

Organization that owns the receiving agent

Pattern: ^[cC][^\s-]{8,}$
fromDid
string
required

Sender DID

toDid
string
required

Receiver DID

type
string
required

Task type

status
enum<string>
required

Current status of the A2A task

Available options:
submitted,
working,
input_required,
completed,
failed,
canceled
input
object
required

Task input payload

output
object | null
required

Task output payload

error
object | null
required

Error details if task failed

history
object[]
required

Status change history

createdAt
string<date-time>
required

Task creation timestamp

updatedAt
string<date-time>
required

Last update timestamp